@echo off

if not exist maxrun.exe goto :no_exe
if exist maxrun.old goto :got_old

echo Renaming old files...
ren maxrun.exe maxrun.old
ren readme.txt readmet.old
ren readme.wri readmew.old

echo Renaming new files...
ren maxrun.new maxrun.exe
ren readmet.new readme.txt
ren readmew.new readme.wri

echo Patch finished, update successful.
goto :done

:no_exe
echo ##### ERROR! Unable to find maxrun.exe.
echo ##### Press any key to view patch instructions.
pause
type patch.txt
goto :done

:got_old
echo ##### ERROR! Old version of maxrun found.
echo ##### Delete all .OLD files and run patch again.

:done




